package scheduleGenerator;

import java.io.File;
import java.io.FileNotFoundException;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.GregorianCalendar;
import java.util.Locale;
import java.util.Scanner;

/**
 * Main runner of the program.
 * 
 * @author Nathan, Josh, Chris. Created Oct 8, 2012.
 */
public class Main {

	/**
	 * Program starts here.
	 * 
	 * @param args
	 */
	public static void main(String[] args) {
		Calendar y = new GregorianCalendar();
//		ScheduleParser a = new ScheduleParser("sampleInput.txt");
//		PeopleWriter b = new PeopleWriter("b.txt", a.parseSchedule());
//		b.writeFile();
		Config c= new Config();
		c.parseConfig("sampleconfig.txt");
		ScheduleGeneratorFrame x = new ScheduleGeneratorFrame(
				y.get(Calendar.YEAR), y.get(Calendar.MONTH),
				y.get(Calendar.DAY_OF_MONTH),c);
		x.setVisible(true);
		
	}
}
